#include "data.h"

NRF24Payload Payload;

static const u8 init_local_addr=123;//
static const u8 init_channel=124;//ʼŵ124;ŵ0~124
static const u8 init_tx_mac[5]={"sr001"};//ʼͶ˵ַ

static void nrfmemset(char *p,char val,u32 length)
{
	u32 i=0;
	for(i=0;i<length;i++)
	{
		p[i]=val;
	}
}
	
static void Delay_Ms(uint16_t time)//ʱ1MS	
{ 
	uint16_t i,j;
	for(i=0;i<time;i++)
		for(j=0;j<10260;j++);
}

int main(void)
{
	uart1_init(115200);	//1ʼΪ115200
	DMA_Configuration();//DMA	
	LED_Init();			//LED˿ڳʼ
	NRF24L01_Init();	//ʼNRF24L01
	WKUP_Init();

	nrfmemset((char *)&Payload,0,sizeof(NRF24Payload));

	while(NRF24L01_Check())//NRF24L01Ƿλ.	
	{
		Delay_Ms(18);
		RELAY=!RELAY;
	}	
	my_printf(USART1,"NRF24L01 OK\r\n");
	RELAY=0;
	my_printf(USART1,"\r\ninitialize finish\r\n");

 	while(1)
	{
		RELAY=1;//LED
		NRF24L01_powerUpTx();
		Delay_Ms(200);
		Payload.Header.src_addr=init_local_addr;
		Payload.Header.dst_addr=init_channel;
		Payload.Header.ID=1;
		Payload.Header.type='T';
		sprintf(Payload.buf,"TEST");//ֵ
		if(NRF24L01_Send_Payload((u8 *)init_tx_mac,init_channel,(u8 *)&Payload))//һpayload
			printf("\r\nNRF24L01 send update ok\r\n");
		else
			printf("\r\nNRF24L01 send update fail\r\n");
		Delay_Ms(200);
		NRF24L01_powerDown();
		Delay_Ms(200);
		RELAY=0; 
		Sys_Enter_Standby();//ϵͳģʽ
	}
}	

