#include "24l01.h"

//u8 TX_ADDRESS[TX_ADR_WIDTH]={0x34,0x43,0x10,0x10,0x01}; //͵ַ
//u8 RX_ADDRESS[RX_ADR_WIDTH]={0x34,0x43,0x10,0x10,0x01}; //͵ַ

//GPIO˿
#define RCC_NRF 	RCC_APB2Periph_GPIOA
#define PORT_NRF	GPIOA
#define PIN_CE		GPIO_Pin_12	//24L01Ƭѡź
#define PIN_CSN		GPIO_Pin_11	//SPIƬѡź
#define PIN_IRQ		GPIO_Pin_8	//IRQ

//ʼ24L01IO
void NRF24L01_Init(void)
{ 	
	GPIO_InitTypeDef GPIO_InitStructure;
	SPI_InitTypeDef  SPI_InitStructure;

	//RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);	//ʹPB˿ʱ

	//GPIO_InitStructure.GPIO_Pin = GPIO_Pin_12;//PB12 ֹW25Xĸ
	//GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;//
	//GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	//GPIO_Init(GPIOB, &GPIO_InitStructure);//ʼָIO
	//GPIO_SetBits(GPIOB,GPIO_Pin_12);//				
 	
	//GPIO_InitStructure.GPIO_Pin = GPIO_Pin_2;//PD2,ֹSDĸ
 	//GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;//
 	//GPIO_SetBits(GPIOD,GPIO_Pin_2);//ʼָIO	

	RCC_APB2PeriphClockCmd(RCC_NRF, ENABLE);//ʹܶ˿ʱ

	GPIO_InitStructure.GPIO_Pin = PIN_CE|PIN_CSN;// 	  
 	GPIO_Init(PORT_NRF, &GPIO_InitStructure);//ʼָIO
  
	GPIO_InitStructure.GPIO_Pin  = PIN_IRQ;   
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPD;//  
	GPIO_Init(PORT_NRF, &GPIO_InitStructure);

	GPIO_ResetBits(PORT_NRF,PIN_CE|PIN_CSN|PIN_IRQ);//	
	
	SPI2_Init();	//ʼSPI	 
	SPI_Cmd(SPI2, DISABLE);	//SPI費ʹ

	SPI_InitStructure.SPI_Direction = SPI_Direction_2Lines_FullDuplex;	//SPIΪ˫˫ȫ˫
	SPI_InitStructure.SPI_Mode = SPI_Mode_Master;						//SPI
	SPI_InitStructure.SPI_DataSize = SPI_DataSize_8b;					//ͽ8λ֡ṹ
	SPI_InitStructure.SPI_CPOL = SPI_CPOL_Low;							//ʱյ
	SPI_InitStructure.SPI_CPHA = SPI_CPHA_1Edge;						//ݲڵ1ʱ
	SPI_InitStructure.SPI_NSS = SPI_NSS_Soft;							//NSSź
	SPI_InitStructure.SPI_BaudRatePrescaler = SPI_BaudRatePrescaler_16;	//岨ԤƵֵ:ԤƵֵΪ16
	SPI_InitStructure.SPI_FirstBit = SPI_FirstBit_MSB;					//ݴMSBλʼ
	SPI_InitStructure.SPI_CRCPolynomial = 7;							//CRCֵĶʽ
	SPI_Init(SPI2, &SPI_InitStructure);//SPI_InitStructָĲʼSPIxĴ
 
	SPI_Cmd(SPI2, ENABLE);//ʹSPI
	NRF24L01_CE=0;//ʹ24L01
	NRF24L01_CSN=1;//SPIƬѡȡ   	 
}

//24L01Ƿ
//ֵ:0ɹ;1ʧ	
u8 NRF24L01_Check(void)
{
	u8 buf[5]={0XA5,0XA5,0XA5,0XA5,0XA5};
	u8 i;
	SPI2_SetSpeed(SPI_BaudRatePrescaler_4);	//spiٶΪ9Mhz24L01SPIʱΪ10Mhz   	 
	NRF24L01_Write_Buf(WRITE_REG_NRF+TX_ADDR,buf,5);//д5ֽڵĵַ.	
	NRF24L01_Read_Buf(TX_ADDR,buf,5);//дĵַ  
	for(i=0;i<5;i++)
	{
		if(buf[i]!=0XA5)
			break;	
	}		
	if(i!=5)
		return 1;	//24L01	
	return 0;		//⵽24L01
}	

//SPIдĴ
//reg:ָĴַ
//value:дֵ
u8 NRF24L01_Write_Reg(u8 reg,u8 value)
{
	u8 status;	
	NRF24L01_CSN=0;                 //ʹSPI
	status =SPI2_ReadWriteByte(reg);//ͼĴ 
	SPI2_ReadWriteByte(value);      //дĴֵ
	NRF24L01_CSN=1;                 //ֹSPI	   
	return (status);       			//״ֵ̬
}

//ȡSPIĴֵ
//reg:ҪļĴ
u8 NRF24L01_Read_Reg(u8 reg)
{
	u8 reg_val;	    
	NRF24L01_CSN = 0;          //ʹSPI		
	SPI2_ReadWriteByte(reg);   //ͼĴ
	reg_val=SPI2_ReadWriteByte(0XFF);//ȡĴ
	NRF24L01_CSN = 1;          //ֹSPI		    
	return (reg_val);          //״ֵ̬
}	

//ָλöָȵ
//reg:Ĵ(λ)
//*pBuf:ָ
//len:ݳ
//ֵ,˴ζ״̬Ĵֵ 
u8 NRF24L01_Read_Buf(u8 reg,u8 *pBuf,u8 len)
{
	u8 status,u8_ctr;	       
	NRF24L01_CSN = 0;	//ʹSPI
	status=SPI2_ReadWriteByte(reg);//ͼĴֵ(λ),ȡ״ֵ̬   	   
	for(u8_ctr=0;u8_ctr<len;u8_ctr++)
		pBuf[u8_ctr]=SPI2_ReadWriteByte(0XFF);//
	NRF24L01_CSN=1;    	//رSPI
	return status;      //ض״ֵ̬
}

//ָλдָȵ
//reg:Ĵ(λ)
//*pBuf:ָ
//len:ݳ
//ֵ,˴ζ״̬Ĵֵ
u8 NRF24L01_Write_Buf(u8 reg,u8 *pBuf,u8 len)
{
	u8 status,u8_ctr;	    
	NRF24L01_CSN = 0;        //ʹSPI
	status = SPI2_ReadWriteByte(reg);//ͼĴֵ(λ),ȡ״ֵ̬
	for(u8_ctr=0; u8_ctr<len; u8_ctr++)
		SPI2_ReadWriteByte(*pBuf++); //д	 
	NRF24L01_CSN = 1;       //رSPI
	return status;          //ض״ֵ̬
}	

//NRF24L01һ
//txbuf:׵ַ
//ֵ:״
u8 NRF24L01_TxPacket(u8 *txbuf)
{
	u8 sta;
	SPI2_SetSpeed(SPI_BaudRatePrescaler_8);//spiٶΪ9Mhz24L01SPIʱΪ10Mhz   
	NRF24L01_CE=0;
	NRF24L01_Write_Buf(WR_TX_PLOAD,txbuf,TX_PLOAD_WIDTH);//дݵTX BUF  32ֽ
 	NRF24L01_CE=1;//	   
	while(NRF24L01_IRQ!=0);//ȴ
	sta=NRF24L01_Read_Reg(STATUS);//ȡ״̬Ĵֵ	   
	NRF24L01_Write_Reg(WRITE_REG_NRF+STATUS,sta); //TX_DSMAX_RTжϱ־
	if(sta&MAX_TX)//ﵽط
	{
		NRF24L01_Write_Reg(FLUSH_TX,0xff);//TX FIFOĴ 
		return MAX_TX; 
	}
	if(sta&TX_OK)//
	{
		return TX_OK;
	}
	return 0xff;//ԭʧ
}

//NRF24L01һ
//rxbuf:׵ַ
//ֵ:1ɣ
u8 NRF24L01_RxPacket(u8 *rxbuf)
{
	u8 sta;		    							   
	SPI2_SetSpeed(SPI_BaudRatePrescaler_8); //spiٶΪ9Mhz24L01SPIʱΪ10Mhz   
	sta=NRF24L01_Read_Reg(STATUS);  //ȡ״̬Ĵֵ    	 
	NRF24L01_Write_Reg(WRITE_REG_NRF+STATUS,sta); //TX_DSMAX_RTжϱ־
	if(sta&RX_OK)//յ
	{
		NRF24L01_Read_Buf(RD_RX_PLOAD,rxbuf,RX_PLOAD_WIDTH);//ȡ
		NRF24L01_Write_Reg(FLUSH_RX,0xff);//RX FIFOĴ 
		return 1; 
	}	   
	return 0;//ûյκ
}

//ʼNRF24L01RXģʽ
//RXַ,дRXݿ,ѡRFƵ,ʺLNA HCURR
//CEߺ,RXģʽ,Խ		   
void NRF24L01_RX_Mode(u8 *adr,u8 channel)
{
	NRF24L01_CE=0;	  
	//NRF24L01_Write_Buf(WRITE_REG_NRF+RX_ADDR_P0,RX_ADDRESS,RX_ADR_WIDTH);//дRXڵַ
	NRF24L01_Write_Buf(WRITE_REG_NRF+RX_ADDR_P0,adr,RX_ADR_WIDTH);//дRXڵַ
	  
	NRF24L01_Write_Reg(WRITE_REG_NRF+EN_AA,0x01);		//ʹͨ0ԶӦ    
	NRF24L01_Write_Reg(WRITE_REG_NRF+EN_RXADDR,0x01);	//ʹͨ0Ľյַ  	 
	NRF24L01_Write_Reg(WRITE_REG_NRF+RF_CH,channel);	//RFͨƵ		  
	NRF24L01_Write_Reg(WRITE_REG_NRF+RX_PW_P0,RX_PLOAD_WIDTH);//ѡͨ0Чݿ 	    
	NRF24L01_Write_Reg(WRITE_REG_NRF+RF_SETUP,0x0f);//TX,0db,2Mbps,濪   
	NRF24L01_Write_Reg(WRITE_REG_NRF+CONFIG, 0x0f);	//ûģʽĲ;PWR_UP,EN_CRC,16BIT_CRC,ģʽ 
	NRF24L01_CE = 1; //CEΪ,ģʽ 
}	

//ʼNRF24L01TXģʽ
//TXַ,дTXݿ,RXԶӦĵַ,TX,ѡRFƵ,ʺLNA HCURR
//PWR_UP,CRCʹ	   
//CEΪߴ10us,.	 
void NRF24L01_TX_Mode(u8 *adr,u8 channel)
{														 
	NRF24L01_CE=0;	
	//͵ַ.(дֽ)ǿShockBurstTMģʽRX_ADDR_P0,˵ַȡ	 
	NRF24L01_Write_Buf(WRITE_REG_NRF+RX_ADDR_P0,adr,RX_ADR_WIDTH);//TXڵַ,ҪΪʹACK
	NRF24L01_Write_Buf(WRITE_REG_NRF+TX_ADDR,adr,TX_ADR_WIDTH);//дTXڵַ 	

	NRF24L01_Write_Reg(WRITE_REG_NRF+EN_AA,0x01);     //ʹͨ0ԶӦ    
	NRF24L01_Write_Reg(WRITE_REG_NRF+EN_RXADDR,0x01); //ʹͨ0Ľյַ  
	NRF24L01_Write_Reg(WRITE_REG_NRF+SETUP_RETR,0x1a);//Զطʱ:500us + 86us;Զط:10
	NRF24L01_Write_Reg(WRITE_REG_NRF+RF_CH,channel);  //RFͨƵ
	NRF24L01_Write_Reg(WRITE_REG_NRF+RF_SETUP,0x0f);  //TX,0db,2Mbps,濪   
	NRF24L01_Write_Reg(WRITE_REG_NRF+CONFIG,0x0e);    //ûģʽĲ;PWR_UP,EN_CRC,16BIT_CRC,ģʽ,ж
	NRF24L01_CE=1;//CEΪ,10us
}

//NRF24L01һ
//addr:͵ַ
//channel:Ƶ
//buf:׵ַ
//ֵ:1,0ʧ
u8 NRF24L01_Send_Payload(u8 *addr,u8 channel,u8 *buf)//һpayload
{
	NRF24L01_TX_Mode(addr, channel);//send
	if(NRF24L01_TxPacket(buf)==TX_OK)
		return 1;
	return 0;
}

static void Delay_Us(uint16_t time)//ʱ1us
{ 
	uint16_t i,j;
	for(i=0;i<time;i++)
		for(j=0;j<9;j++);
}

u8 Quick_Disturbance_Detect(void)//⵱ǰƵⲿźǿȣݴжǷԷݰ
{
	u8 state;
	NRF24L01_CE=0;
	Delay_Us(1);
	NRF24L01_CE=1;
	Delay_Us(50);
	NRF24L01_Read_Buf(CD,&state,1);
	if(state)
	{
		return 1;
	}
	else
	{
		return 0;
	}
}

void NRF24L01_powerDown(void)
{
	NRF24L01_CE=0;
	NRF24L01_Write_Reg(WRITE_REG_NRF+CONFIG,DEFAULT_CONFIG);
}

void NRF24L01_powerUpRx(void) 
{
	//PTX = 0;
	NRF24L01_CE=0;
	NRF24L01_Write_Reg(WRITE_REG_NRF+CONFIG,DEFAULT_CONFIG|((1 << PWR_UP)|(1 << PRIM_RX)));
	NRF24L01_CE=1;
	NRF24L01_Write_Reg(WRITE_REG_NRF+STATUS,(1 << TX_DS)|(1 << MAX_RT));
}

void NRF24L01_powerUpTx(void)
{
	//PTX = 1;
	NRF24L01_Write_Reg(WRITE_REG_NRF+CONFIG,DEFAULT_CONFIG|((1 << PWR_UP)|(0 << PRIM_RX)));
}
