#ifndef __USART_H
#define __USART_H

#include "data.h"

#define EN_USART1	1	//ʹܣ1/ֹ0ʹܴ1
#define EN_USART2	0	//ʹܣ1/ֹ0ʹܴ2
#define EN_USART3	0	//ʹܣ1/ֹ0

#define USART1_SEND_LEN	1024	//DMAֽ 1024
#define USART2_SEND_LEN	1024
#define USART3_SEND_LEN	1024
#define USART1_REC_LEN	1024	//DMAͽջֽ 1024
#define USART2_REC_LEN	1024
#define USART3_REC_LEN	1024	

extern char  USART1_RX_BUF[USART1_REC_LEN]; //ջ,USART1_REC_LENֽ
extern char  USART2_RX_BUF[USART2_REC_LEN];
extern char  USART3_RX_BUF[USART3_REC_LEN];
extern u16 USART2_RX_STA; 
extern u16 USART1_RX_STA;	//״̬	
extern u16 USART3_RX_STA;	

void uart1_init(u32 bound);
void uart2_init(u32 bound);
void uart3_init(u32 bound);
void DMA_Configuration(void);

void USART1_DMA_SendStr(char *senddata);//1DMAͳ
void USART2_DMA_SendStr(char *senddata);//2DMAͳ
//void USART3_DMA_SendStr(char *senddata);//3DMAͳ

int SendChar (int ch);
void my_printf(USART_TypeDef* USARTx, char *Data,...);

#endif
